> ## Documentation Index
> Fetch the complete documentation index at: https://grailx.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Scan watermark

> Scan an image for embedded watermarks using manual corner selection.



## OpenAPI

````yaml /openapi.json post /api/scan
openapi: 3.0.3
info:
  title: SQR API
  description: >-
    Invisible watermarking, digital twin registration, and NFT minting for
    product authentication.
  version: 1.0.0
  contact:
    name: SQR Support
    url: https://yys-sqr-render-bsbe.onrender.com
servers:
  - url: https://yys-sqr-render-bsbe.onrender.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Health
    description: Server status
  - name: Templates
    description: Record templates and field definitions
  - name: Records
    description: Create, read, update, and sync digital twin records
  - name: Watermarking
    description: Embed and scan invisible watermarks
  - name: NFT
    description: Mint and claim ERC-721 tokens for records
  - name: API Keys
    description: Manage API keys (requires Supabase JWT)
paths:
  /api/scan:
    post:
      tags:
        - Watermarking
      summary: Scan watermark
      description: Scan an image for embedded watermarks using manual corner selection.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - image
                - corners
              properties:
                image:
                  type: string
                  description: Base64-encoded image data
                corners:
                  type: array
                  items:
                    type: array
                    items:
                      type: number
                    minItems: 2
                    maxItems: 2
                  minItems: 4
                  maxItems: 4
                  description: Four corner coordinates [[x1,y1], [x2,y2], [x3,y3], [x4,y4]]
      responses:
        '200':
          description: Scan result
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Pass a Supabase JWT or a 48-character hex API key as a Bearer token.

````